Method: ragDataSchemas.list

Full name: projects.locations.ragCorpora.ragDataSchemas.list

Lists RagDataSchemas in a Location.

Endpoint

get https://{service-endpoint}/v1beta1/{parent}/ragDataSchemas

Where {service-endpoint} is one of the supported service endpoints.

Path parameters

parent string

Required. The resource name of the RagCorpus from which to list the RagDataSchemas. Format: projects/{project}/locations/{location}/ragCorpora/{ragCorpus}

Query parameters

pageSize integer

Optional. The standard list page size. The maximum value is 100. If not specified, a default value of 100 will be used.

pageToken string

Optional. The standard list page token. Typically obtained via ListRagDataSchemasResponse.next_page_token of the previous VertexRagDataService.ListRagDataSchemas call.

Request body

The request body must be empty.

Response body

Response message for VertexRagDataService.ListRagDataSchemas.

If successful, the response body contains data with the following structure:

Fields
ragDataSchemas[] object (RagDataSchema)

List of RagDataSchemas in the requested page.

nextPageToken string

A token to retrieve the next page of results. Pass to ListRagDataSchemasRequest.page_token to obtain that page.

JSON representation
{
  "ragDataSchemas": [
    {
      object (RagDataSchema)
    }
  ],
  "nextPageToken": string
}